Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Batch list members
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • AccessExtSubjectClaims
  1. DataLens Public API
  2. DataLens API
  3. Access
  4. Batch list members
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • AccessExtSubjectClaims

Batch list members

Returns users and groups.

RequestRequest

POST

https://api.datalens.tech/rpc/batchListMembers

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "language": "en",
  "search": "example",
  "tabId": "SUBJECT_TYPE_UNSPECIFIED",
  "pageSize": 0.5,
  "pageToken": "example",
  "filter": "example"
}

Name

Description

filter

Type: string

Filter applied to the member list.

Example: example

language

Type: string

Language used for member data.

Enum: en, ru

pageSize

Type: number

Maximum number of members to return.

pageToken

Type: string

Token for the next page of members.

Example: example

search

Type: string

Text used to search for members.

Example: example

tabId

Type: string

Subject type used to filter members.

Enum: SUBJECT_TYPE_UNSPECIFIED, USER_ACCOUNT, GROUP, INVITEE, SERVICE_ACCOUNT, _system

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "members": [
    {
      "sub": "example",
      "subType": "SUBJECT_TYPE_UNSPECIFIED",
      "email": "example",
      "name": "example",
      "givenName": "example",
      "familyName": "example",
      "preferredUsername": "example",
      "federation": null,
      "pictureData": "example",
      "picture": "example",
      "idpType": "example"
    }
  ],
  "nextPageToken": "example"
}

Name

Description

members

Type: AccessExtSubjectClaims[]

Members matching the request.

Example
[
  {
    "sub": "example",
    "subType": "SUBJECT_TYPE_UNSPECIFIED",
    "email": "example",
    "name": "example",
    "givenName": "example",
    "familyName": "example",
    "preferredUsername": "example",
    "federation": null,
    "pictureData": "example",
    "picture": "example",
    "idpType": "example"
  }
]

nextPageToken

Type: string

Token for the next page of members.

Example: example

AccessExtSubjectClaimsAccessExtSubjectClaims

Name

Description

email

Type: string

Subject email address.

Example: example

familyName

Type: string

Subject family name.

Example: example

givenName

Type: string

Subject given name.

Example: example

name

Type: string

Subject display name.

Example: example

preferredUsername

Type: string

Preferred username of the subject.

Example: example

sub

Type: string

Subject identifier.

Example: example

subType

Type: string

Subject type.

Enum: SUBJECT_TYPE_UNSPECIFIED, USER_ACCOUNT, GROUP, INVITEE, SERVICE_ACCOUNT, _system

federation

Type: unknown

Federation associated with the subject.

Example: null

idpType

Type: string | null

Type of the subject identity provider.

Example: example

picture

Type: string

URL of the subject profile picture.

Example: example

pictureData

Type: string

Encoded profile picture data.

Example: example

Example
{
  "sub": "example",
  "subType": "SUBJECT_TYPE_UNSPECIFIED",
  "email": "example",
  "name": "example",
  "givenName": "example",
  "familyName": "example",
  "preferredUsername": "example",
  "federation": null,
  "pictureData": "example",
  "picture": "example",
  "idpType": "example"
}

Was the article helpful?

Previous
Overview
Next
Overview
© 2026 Direct Cursus Technology L.L.C.